Package org.json.simple

# Class ItemList

java.lang.Object
org.json.simple.ItemList

@Deprecated public class ItemList extends Object
Deprecated.
since 2.0.0 all of the functionality provided by the class seems to be already provided in the JDK.
|a:b:c| => |a|,|b|,|c| |:| => ||,|| |a:| => |a|,||

Author:
  FangYidong<fangyidong@yahoo.com.cn>

## Constructor Summary

Constructors
Constructor
Description
`ItemList()`
Deprecated.
description omitted.
`ItemList(String s)`
Deprecated.
`ItemList(String s, String sp)`
Deprecated.
`ItemList(String s, String sp, boolean isMultiToken)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int i, String item)`
Deprecated.
description omitted.
`void`
`add(String item)`
Deprecated.
description omitted.
`void`
`addAll(String s)`
Deprecated.
description omitted.
`void`
`addAll(String s, String sp)`
Deprecated.
description omitted.
`void`
`addAll(String s, String sp, boolean isMultiToken)`
Deprecated.
description omitted.
`void`
`addAll(ItemList list)`
Deprecated.
description omitted.
`void`
`clear()`
Deprecated.
description omitted.
`String`
`get(int i)`
Deprecated.
`String[]`
`getArray()`
Deprecated.
description omitted.
`List`
`getItems()`
Deprecated.
description omitted.
`void`
`reset()`
Deprecated.
description omitted.
`void`
`setSP(String sp)`
Deprecated.
description omitted.
`int`
`size()`
Deprecated.
description omitted.
`void`
`split(String s, String sp, List append)`
Deprecated.
description omitted.
`void`
`split(String s, String sp, List append, boolean isMultiToken)`
Deprecated.
description omitted.
`String`
`toString()`
Deprecated.
`String`
`toString(String sp)`
Deprecated.
description omitted.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ItemList

public ItemList()
Deprecated.
description omitted.

### ItemList

public ItemList(String s)
Deprecated.

Parameters:
  `s` - description omitted.

### ItemList

public ItemList(String s, String sp)
Deprecated.

Parameters:
  `s` - description omitted.
  `sp` - description omitted.

### ItemList

public ItemList(String s, String sp, boolean isMultiToken)
Deprecated.

Parameters:
  `s` - description omitted.
  `sp` - description omitted.
  `isMultiToken` - description omitted.

## Method Details

### getItems

public List getItems()
Deprecated.
description omitted.

Returns:
  description omitted.

### getArray

public String[] getArray()
Deprecated.
description omitted.

Returns:
  description omitted.

### split

public void split(String s, String sp, List append, boolean isMultiToken)
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
  `sp` - description omitted.
  `append` - description omitted.
  `isMultiToken` - description omitted.

### split

public void split(String s, String sp, List append)
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
  `sp` - description omitted.
  `append` - description omitted.

### setSP

public void setSP(String sp)
Deprecated.
description omitted.

Parameters:
  `sp` - description omitted.

### add

public void add(int i, String item)
Deprecated.
description omitted.

Parameters:
  `i` - description omitted.
  `item` - description omitted.

### add

public void add(String item)
Deprecated.
description omitted.

Parameters:
  `item` - description omitted.

### addAll

public void addAll(ItemList list)
Deprecated.
description omitted.

Parameters:
  `list` - description omitted.

### addAll

public void addAll(String s)
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.

### addAll

public void addAll(String s, String sp)
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
  `sp` - description omitted.

### addAll

public void addAll(String s, String sp, boolean isMultiToken)
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
  `sp` - description omitted.
  `isMultiToken` - description omitted.

### get

public String get(int i)
Deprecated.

Parameters:
  `i` - 0-based
Returns:
  description omitted.

### size

public int size()
Deprecated.
description omitted.

Returns:
  description omitted.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### toString

public String toString(String sp)
Deprecated.
description omitted.

Parameters:
  `sp` - description omitted.
Returns:
  description omitted.

### clear

public void clear()
Deprecated.
description omitted.

### reset

public void reset()
Deprecated.
description omitted.